com.sun.grid.jgdi.configuration

## Interface ResourceQuotaSet

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ResourceQuotaSetImpl

      public interface ResourceQuotaSet
      extends GEObject

  Java representation of the cull object RQS_Type defined in sge_all_listsL.template

  Warning: The ResourceQuotaSet class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRule(ResourceQuotaRule arule)` Add a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getDescription()` Get the value of the description attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `ResourceQuotaRule` | `getRule(int index)` Get a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute at an index.
    `int` | `getRuleCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
    `java.util.List<ResourceQuotaRule>` | `getRuleList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
    `boolean` | `isEnabled()` Get the value of the enabled attribute.
    `boolean` | `isSetDescription()` Determine if any description attribute is set
    `boolean` | `isSetEnabled()` Determine if any enabled attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetRule()` Determine if any rule attribute is set
    `void` | `removeAllRule()` Remove all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
    `ResourceQuotaRule` | `removeRule(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute at an index.
    `boolean` | `removeRule(ResourceQuotaRule arule)` Remote a specific com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
    `void` | `setDescription(java.lang.String aDescription)` Set the description attribute.
    `void` | `setEnabled(boolean aEnabled)` Set the enabled attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setRule(int index, ResourceQuotaRule arule)` Set a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setDescription

          void setDescription(java.lang.String aDescription)

      Set the description attribute.
      Parameters:
        `aDescription` - the new value for the description attribute

    - #### getDescription

          java.lang.String getDescription()

      Get the value of the description attribute.
      Returns:
        the value of the description attribute

    - #### isSetDescription

          boolean isSetDescription()

      Determine if any description attribute is set
      Returns:
        `true` if the description attribute is set

    - #### setEnabled

          void setEnabled(boolean aEnabled)

      Set the enabled attribute.
      Parameters:
        `aEnabled` - the new value for the enabled attribute

    - #### isEnabled

          boolean isEnabled()

      Get the value of the enabled attribute.
      Returns:
        the value of the enabled attribute

    - #### isSetEnabled

          boolean isSetEnabled()

      Determine if any enabled attribute is set
      Returns:
        `true` if the enabled attribute is set

    - #### getRuleList

          java.util.List<ResourceQuotaRule> getRuleList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes

    - #### getRuleCount

          int getRuleCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.

    - #### getRule

          ResourceQuotaRule getRule(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute

    - #### addRule

          void addRule(ResourceQuotaRule arule)

      Add a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
      Parameters:
        `arule` - the new com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute

    - #### setRule

          void setRule(int index,
                       ResourceQuotaRule arule)

      Set a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute
        `arule` - the new com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute

    - #### removeAllRule

          void removeAllRule()

      Remove all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.

    - #### removeRule

          ResourceQuotaRule removeRule(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute or `null` if no attribute at this index is stored

    - #### removeRule

          boolean removeRule(ResourceQuotaRule arule)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
      Parameters:
        `arule` - the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute has been removed

    - #### isSetRule

          boolean isSetRule()

      Determine if any rule attribute is set
      Returns:
        `true` if the rule attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.